#pragma once
#include <Windows.h>

#ifndef _USB_NIKKI_TOWER_H
#define _USB_NIKKI_TOWER_H

#ifndef UNT_API
#define UNT_API __declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C" {
#endif

	//Connection
	UNT_API int Start_HID();
	UNT_API int Stop_HID();

	//LED Conrtol
	UNT_API int LED_Control(int R, int Y,int G, int B, int W);
	UNT_API int Led_All_Off();
	//Buzzer Control
	UNT_API int Buzzer_Control(int mode, int f1, int f2, int volume);
	UNT_API int Buzzer_Off();
	//Reset Device
	UNT_API int Reset_Device();
	//Get Version
	UNT_API const char* Get_Firmware_Version(char* buffer, int buffer_size);
	UNT_API const char* Get_Dll_Version();

#ifdef __cplusplus
}
#endif

#endif
